### Method

# Ggit RevisionWalker get_repository

#### Declaration [src]

    GgitRepository*
    ggit_revision_walker_get_repository (
      GgitRevisionWalker* walker
    )

#### Description [src]

Gets the repository on which this walker is operating.

Gets property | `Ggit.RevisionWalker:repository`

#### Return value

Type: `GgitRepository`

The repository on which this walker is operating or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.